#ifndef __M5_BM8563_H__
#define __M5_BM8563_H__

#include <Wire.h>

#define I2C_BM8563_DEFAULT_ADDRESS 0x51


class M5_BM8563 {
  public:
    M5_BM8563(uint8_t deviceAddress = I2C_BM8563_DEFAULT_ADDRESS, TwoWire &i2cPort = Wire);

    void begin(void);
	void getTime(int* hours,int* minutes,int* seconds);
    void getDate(int* weekDay,int* month,int* day,int* year);

    void setTime(int* hours,int* minutes,int* seconds);
    void setDate(int* weekDay,int* month,int* day,int* year);

  private:
    uint8_t bcd2ToByte(uint8_t value);
    uint8_t byteToBcd2(uint8_t value);

    uint8_t trdata[7];
    TwoWire *_i2cPort;
    int _deviceAddress;
};

#endif
